import request from '$project/utils/request'
import Qs from 'qs';

//订单列表
export function orderList(params) {

return request({
		url: '/mobile/orderInfoApi/orderList',
		data: Qs.stringify(params),
		method: 'post',
	})
}
//订单详情
export function orderDetail(params) {

   return request({
   		url: '/mobile/orderInfoApi/orderDetail',
   		data: Qs.stringify(params),
   		method: 'post',
   	})
}

//微信支付
export function wxJsapiPay(params,code) {

    return request({
        url: '/wxPay/wxJsapiPay?orderId='+params+'&popularizePersonId='+code,

        method: 'get',
    })
}
//支付宝支付
export function tradePrecreatePay(params,code) {
    return request({
        url: '/aliPay/tradePrecreatePay?orderId='+params+'&popularizePersonId='+code,
        method: 'get',
    })
}